### Method

# GtkSource SnippetManager get_snippet

#### Declaration [src]

    GtkSourceSnippet*
    gtk_source_snippet_manager_get_snippet (
      GtkSourceSnippetManager* self,
      const gchar* group,
      const gchar* language_id,
      const gchar* trigger
    )

#### Description [src]

Queries the known snippets for the first matching `group`, `language_id`, and/or `trigger`.

If `group` or `language_id` are `NULL`, they will be ignored.

#### Parameters

`group`

  Type: `const gchar*`

  A group name or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`language_id`

  Type: `const gchar*`

  A `GtkSourceLanguage:id` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`trigger`

  Type: `const gchar*`

  The trigger for the snippet.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkSourceSnippet`

A `GtkSourceSnippet` or `NULL` if no matching snippet was found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.